%global         momorel 1

Summary:        vector animation renderer
Name:           synfig
Version:        1.0.1
Release:        %{momorel}m%{?dist}
License:        GPLv2
Group:          Applications/Multimedia
URL:            http://synfig.org/
# Source0:        http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
Source0:        http://download.tuxfamily.org/synfig/releases/%{version}/%{name}-%{version}.tar.gz
NoSource:       0
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  ImageMagick-c++-devel >= 6.4.2.1
BuildRequires:  ImageMagick-devel >= 6.4.2.1
BuildRequires:  OpenEXR-devel >= 2.2.0
BuildRequires:  etl-devel >= 0.04.19
BuildRequires:  glibmm-devel
BuildRequires:  gtkmm-devel
BuildRequires:  ilmbase-devel >= 2.2.0
BuildRequires:  libjpeg-devel >= 8a
BuildRequires:  libsigc++-devel
BuildRequires:  libxml++-devel

%description
synfig is a vector based 2D animation package. It is designed to be capable of producing feature-film quality animation. It eliminates the need for tweening, preventing the need to hand-draw each frame. synfig features spatial and temporal resolution independence (sharp and smooth at any resolution or framerate), high dynamic range images, and a flexible plugin system.

This package contains the renderer used to convert synfig .sif files to raster images, videos and other formats. Layer types include geometric, gradient, filter, distortion, transformation, fractal and others. Output targets include JPEG, PNG, GIF, BMP, PPM, DV, OpenEXR, ffmpeg (MPEG1), libavcodec (AVI), imagemagick (MIFF), yuv420p, MNG and others.

%package devel
Summary:        Header files and libraries for a development with %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
Header files and libraries for a development with %{name}.

%prep
%setup -q

%build
# --without-libavcodec http://synfig.org/forums/viewtopic.php?f=13&t=5
%configure --without-libavcodec
%make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%find_lang %{name}

rm -rf %{buildroot}%{_libdir}/lib%{name}.la

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog* INSTALL NEWS README TODO
%doc examples doc/hw-gfx-mapping.txt
%{_sysconfdir}/%{name}_modules.cfg
%{_bindir}/%{name}*
%{_libdir}/%{name}
%{_libdir}/lib%{name}.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}*
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/lib%{name}.so

%changelog
* Fri Sep 04 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.1-1m)
- update 1.0.1

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.62.01-5m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.62.01-4m)
- rebuild for new GCC 4.5

* Sun Sep 26 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.62.01-3m)
- add patch for gcc45, generated by gen45patch(v1)
- drop unused patch

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.62.01-2m)
- full rebuild for mo7 release

* Wed Aug  4 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.62.01-1m)
- update to 0.62.01

* Mon May 31 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.61.09-4m)
- touch up spec file
- License: GPLv2

* Sat Apr 10 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.61.09-3m)
- rebuild against libjpeg-8a

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.61.09-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Fri Sep 11 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.61.09-1m)
- rebuild against libjpeg-7

* Wed Feb  4 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.61.08-4m)
- apply gcc44 patch

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.61.08-3m)
- rebuild against rpm-4.6

* Sun Jul 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.61.08-2m)
- rebuild against ImageMagick-6.4.2.1

* Mon Apr 21 2008 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.61.08-1m)
- import to Momonga
